"use strict";
const watchlist_repository = require("./watchlist.repository-vLhXWRP3.cjs");
const checkIfFreeEmailDomain = async (email) => {
  const emailDomain = email.split("@")[1].toLowerCase();
  if (!emailDomain)
    return true;
  if (emailDomain === "gmail.com" || emailDomain === "outlook.com")
    return true;
  const watchlistRepository = new watchlist_repository.WatchlistRepository();
  return !!await watchlistRepository.getFreeEmailDomainInWatchlist(emailDomain);
};
const getFieldIdentifier = (field) => field.identifier || field.label;
const getFieldIdentifier$1 = getFieldIdentifier;
exports.checkIfFreeEmailDomain = checkIfFreeEmailDomain;
exports.getFieldIdentifier = getFieldIdentifier$1;
